import 'package:flutter/material.dart';
import 'package:intl/date_symbol_data_local.dart';

import 'cresce_ui.dart';

void main() {
  initializeDateFormatting();
  runApp(const MyApp());
}

class MyApp extends StatelessWidget {
  const MyApp({Key? key}) : super(key: key);

  @override
  Widget build(BuildContext context) {
    return MaterialApp(
      title: 'Flutter Demo',
      debugShowCheckedModeBanner: false,
      home: Material(
        child: Center(
          child: Padding(
            padding: const EdgeInsets.all(50),
            child: CBalanceGrid(
              items: Iterable.generate(500)
                  .map((e) => const CBalanceGridItem(
                        title: 'adsads',
                        balance: 'adsasd',
                      ))
                  .toList(),
              columnCount: 2,
            ),
          ),
        ),
      ),
    );
  }
}
